## Deletes a product list by id, optionally archiving it or removing only its header.

`Boolean ProductLists.DeleteProductList(ProductListDeleteProductListParamsparameters, CancellationTokencancellationToken = default)`

**delete** `/api/v2/public/stores/{store_number}/productlists`

Deletes a product list by id, optionally archiving it or removing only its header.

### Parameters

- `ProductListDeleteProductListParams parameters`

  - `required string storeNumber`

    Path param: The store number.

  - `required Long productListID`

    Query param: The product list identifier to delete.

  - `Boolean isArchived`

    Query param: When true, archives the product list instead of permanently deleting it.

  - `Boolean isDeleteHeader`

    Query param: When true, deletes only the product list header (and its lines).

  - `string acceptLanguage`

    Header param

  - `string apiKey`

    Header param

### Example

```csharp
ProductListDeleteProductListParams parameters = new()
{
    StoreNumber = "store_number",
    ProductListID = 0,
};

var response = await client.ProductLists.DeleteProductList(parameters);

Console.WriteLine(response);
```

#### Response

```json
true
```
